Subject: New additions to my web site...

From: [email-masked] (Michael Moore)
Date: Tue, 04 Jun 1996 16:21:54 -0600

For any of you that are interested:

I just added 46 new plant photographs (that makes 1,143 total images)

I just added Culbreth's Materia Medica and Pharmacology (1927),
alphabetized by latin name, and split into 7 bookmarked acrobat files (14M
in all!)

I just added a new Folio on North American Baptisias.

Come visit...there are now over 100M of original files on the site.

Michael Moore ([email-masked])
     http://www.rt66.com/hrbmoore/HOMEPAGE/HomePage.html
OR:  http://chili.rt66.com/hrbmoore/HOMEPAGE/HomePage.html
All the SWSBM teaching and clinical manuals, over 1,000 Medicinal Plant images and class announcements can be obtained at my web site.